Bug 560754 - hplip use of SYSFS in rules make udev unhappy
hplip use of SYSFS in rules make udev unhappy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-01 14:05 EST by Michal Jaegermann
Modified: 2010-03-23 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: hplip-3.10.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 19:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2010-02-01 14:05:04 EST
Description of problem:
With the current udev-151-2.fc13 complaints like the one below are generated while booting:

udevd[533]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/56-hpmud_support.rules:10

Which "future udev version" will turn that into an outright bug I have no idea.

Version-Release number of selected component (if applicable):
hplip-3.9.12-4.fc13


How reproducible:
on every boot
Comment 1 Matthias Clasen 2010-02-27 20:28:25 EST
Still the case with hplip-3.10.2-1.fc13
Comment 2 Fedora Update System 2010-03-01 06:47:39 EST
hplip-3.10.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3120
Comment 3 Fedora Update System 2010-03-01 20:02:54 EST
hplip-3.10.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3120
Comment 4 Bug Zapper 2010-03-15 10:20:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2010-03-23 19:33:28 EDT
hplip-3.10.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.